Get list of settlements

Retrieve a list of settlements with optional filtering

Usage Guidelines

  • If settled_start_time and settled_end_time are both omitted, the API returns the first page of settlements within the default window: from one month before today up to today (inclusive).
  • When specifying the date range, both settled_start_time and settled_end_time must be provided. The interval between them must not exceed one month, and settled_end_time must be greater than or equal to settled_start_time.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The unique ID of a payment intent.

string

Identifier of the settlement batch.

string

Inclusive start date used to filter by settlement_date, in YYYY-MM-DD format. Time is based on UTC+8.

Example: '2025-07-01' means settlement_date ≥ 2025-07-01T00:00:00 (UTC+8).

string

Inclusive end date used to filter by settlement_date, in YYYY-MM-DD format. Time is based on UTC+8.

Example: '2025-07-31' means settlement_date ≤ 2025-07-31T23:59:59 (UTC+8).

integer
required
≥ 1

The page number to retrieve the next set of items. The number has to be greater than 1.

integer
required
1 to 100

The maximum number of items to return per page. This number can be between 1 - 100

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json